--- src/etc/dl-snapshot.py.orig	2015-05-02 23:16:20 UTC
+++ src/etc/dl-snapshot.py
@@ -16,6 +16,7 @@ mac32 = lines[3]
 mac64 = lines[4]
 win32 = lines[5]
 win64 = lines[6]
+freebsd64 = lines[7]
 triple = sys.argv[1]
 
 ts = triple.split('-')
@@ -37,6 +38,10 @@ if target_os == 'linux':
     elif arch == 'x86_64':
         me = linux64
         new_triple = 'x86_64-unknown-linux-gnu'
+if target_os == 'freebsd':
+    if arch == 'x86_64':
+        me = freebsd64
+        new_triple = 'x86_64-unknown-freebsd'
 elif target_os == 'darwin':
     if intel32:
         me = mac32
@@ -70,9 +75,6 @@ if not os.path.isdir('target/dl'):
 if os.path.isdir(dst):
     shutil.rmtree(dst)
 
-ret = subprocess.call(["curl", "-o", dl_path, url])
-if ret != 0:
-    raise Exception("failed to fetch url")
 h = hashlib.sha1(open(dl_path, 'rb').read()).hexdigest()
 if h != hash:
     raise Exception("failed to verify the checksum of the snapshot")
